Bug 135141 - border size in pixel
Summary: border size in pixel
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Editor-Border (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist with 5 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-05 11:49 UTC by Tommaso Schiavinotto
Modified: 2016-06-29 19:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.9.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tommaso Schiavinotto 2006-10-05 11:49:39 UTC
Version:           0.9.0beta2 (using KDE KDE 3.5.5)
Installed from:    Unspecified

With the latest version the border size can be tuned only by "percentage" while this is useful to
keep consistent with the proportions in some cases it would be nice to be not consistent having the old way of setting the border size in pixels.

As suggestion by Gilles a checkbox could be enough. Maybe using the percentage should allow 
decimal values as well, 1% is to large to be the minimal value.
Comment 1 Laurent COOPER 2006-11-28 23:32:43 UTC
Having 1 or 2 pixel borders is very important for web pictures with a fine line around (dark pictures on black with a thin white border, or clear picture on white with a thin dark border
Comment 2 caulier.gilles 2007-01-19 14:05:21 UTC
SVN commit 625194 by cgilles:

digiKam from trunk : Border Tool : add new option to handle perserve aspect ratio or not. The border with will be set in percents or in pixels accordinly with this setting.

CCMAIL: digikam-devel@kde.org

BUG: 135141
BUG: 137696

 M  +192 -36   border.cpp  
 M  +52 -20    border.h  
 M  +184 -65   imageeffect_border.cpp  
 M  +9 -1      imageeffect_border.h